
QGIS Application - Bug report #1616

v.kernel and r.surf.fractal overwriting and not showing results

2009-04-02 02:52 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11676

Description

Several modules (I found v.kernel and r.surf.fractal) don't check if a layer exist before overwriting it. When the analysis is finished, the

same modules do not show the "Show output" button, so to load a raster one has to go back to data browser.

History

#1 - 2009-06-10 09:00 AM - Lorenzo Masini

Please report in the grass bugtracker.

#2 - 2009-06-10 09:41 AM - Paolo Cavallini

It appears to be a GRASS, not a QGIS, bug

#3 - 2009-06-10 07:59 PM - hamish -

Replying to pcav:

Several modules (I found v.kernel and r.surf.fractal) don't

check if a layer exist before overwriting it.

r.surf.fractal apparently fixed in svn some months ago, v.kernel currently not.

see https://trac.osgeo.org/grass/ticket/635

When the analysis is finished, the same modules do not show

the "Show output" button, so to load a raster one has to go

back to data browser.

no idea about that part of it.

Hamish

#4 - 2009-06-10 10:49 PM - Paolo Cavallini
Thanks Hamish. So I assume r.surf.fractal is fixed in grass64rc>=4, right?

Would it be possible to fix in the same way also v.kernel, perhaps before grass64 final?

#5 - 2009-06-11 12:15 AM - hamish -

Replying to [comment:4 pcav]:

Thanks Hamish. So I assume r.surf.fractal is fixed in grass64rc>=4, right?

It should be fixed since 6.4.0RC1 (Xmas 2008).

Does it still fail with the latest QGIS build?

Would it be possible to fix in the same way also v.kernel,

perhaps before grass64 final?

v.kernel is a bit more tricky because of the funky way it reuses the same option for both raster and vector output map names. I don't think it is too hard to

manually code around that (probably can reuse some code from other modules) but someone else will have to do it -- I'm stretched rather thin with my

"real-life" job right now, and that has to take precedence.

regards,

Hamish

#6 - 2009-12-06 05:44 AM - Giovanni Manghi

Hi, has v.kernel been fixed since the last comment?

cheers

#7 - 2010-02-12 01:57 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed
